<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: ImuData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_imu_data_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ImuData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_imu_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef IMUDATA_H</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define IMUDATA_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_data_element_8h.html">IODataElement.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework { <span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_imu_data.html">   25</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_imu_data.html">ImuData</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1io__data.html">io_data</a> {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_imu_data_1_1_type.html">   27</a></span>&#160;            <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_imu_data_1_1_type.html">Type</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;            <span class="keyword">public</span>:</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;                <a class="code" href="classframework_1_1core_1_1_imu_data_1_1_type.html">Type</a>(<a class="code" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;_elementDataType):</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;                    elementDataType(_elementDataType){}</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;                <a class="code" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;GetElementDataType()<span class="keyword"> const </span>{<span class="keywordflow">return</span> elementDataType;}</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;                std::string GetDescription()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;imu data&quot;</span>;}</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;                <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;                    <span class="keywordtype">size_t</span> size=0;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;                    size+=3*elementDataType.GetSize();<span class="comment">//RawAcc</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;                    size+=3*elementDataType.GetSize();<span class="comment">//RawGyr</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;                    size+=3*elementDataType.GetSize();<span class="comment">//RawMag</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;                    <span class="keywordflow">return</span> size;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;                }</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;            <span class="keyword">private</span>:</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;                <a class="code" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;elementDataType;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;            };</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8">   48</a></span>&#160;            <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a4f359d1e7d7b978325f85166e529286c">   49</a></span>&#160;                <a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a4d5057af07548b6b34e160ef48004cf0">RawAx</a>, <a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8adf083b1df8e937957c759ad93ad3028e">RawAy</a> ,<a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a4f359d1e7d7b978325f85166e529286c">RawAz</a>,</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8ab0dfaab3b5d46ed0b4ead0735a1fa602">   50</a></span>&#160;                <a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a16c71ada258e96a3f0880fc2e431b9c5">RawGx</a>,<a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a596ddf0a2379801d40a5251e341c92d3">RawGy</a>,<a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8ab0dfaab3b5d46ed0b4ead0735a1fa602">RawGz</a>,</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a36eccd43da83d79c8b6c3563275ec580">   51</a></span>&#160;                <a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a5557edd930fd35142c43bcdc0321f572">RawGxDeg</a>,<a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a16ce12331cc350477a10b1d7866fecc8">RawGyDeg</a>,<a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a36eccd43da83d79c8b6c3563275ec580">RawGzDeg</a>,</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a7576067451da5dfc71410871b9feca6c">   52</a></span>&#160;                <a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8af223557b356e0d40a37592f143f80a37">RawMx</a>,<a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a61646a6c036574ae54037126ee5b0805">RawMy</a>,<a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a7576067451da5dfc71410871b9feca6c">RawMz</a></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;                } <a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8">PlotableData_t</a>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            <a class="code" href="classframework_1_1core_1_1_imu_data.html#ad1f5ef8390730dbe868f25fba9248cd9">ImuData</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html">Object</a>* parent,std::string name=<span class="stringliteral">&quot;&quot;</span>,<span class="keywordtype">int</span> n=1);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            <a class="code" href="classframework_1_1core_1_1_imu_data.html#ae8ec0cd1606d05b577c36f2203bf9421">~ImuData</a>();</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            <a class="code" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* <a class="code" href="classframework_1_1core_1_1_imu_data.html#a5f98f9e7793b6b7fe45e87855f641756">Element</a>(<a class="code" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8">PlotableData_t</a> data_type) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> <a class="code" href="classframework_1_1core_1_1_imu_data.html#a11e0b74e5f56a562577a7e3a51487bc2">GetRawAcc</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            <a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> <a class="code" href="classframework_1_1core_1_1_imu_data.html#a8559a0720a5ea626721af362d033d529">GetRawMag</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            <a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> <a class="code" href="classframework_1_1core_1_1_imu_data.html#a019b3cf7520f38fe0c9c53528f27c369">GetRawGyr</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_imu_data.html#a4f90b31ee61c5927c1050d952e9ff1c3">GetRawAccMagAndGyr</a>(<a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;rawAcc,<a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;rawMag,<a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;rawGyr) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_imu_data.html#ab9741cbe12d85950663376dc226ec26c">SetRawAcc</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;rawAcc);</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_imu_data.html#a302ec9d26ea8bfc454a4f81e345d3761">SetRawMag</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;rawMag);</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_imu_data.html#a214b2b4bf48e50cb94bb971cc35e0802">SetRawGyr</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;rawGyr);</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_imu_data.html#a17036abb2356046d5e12f427ac0549d3">SetRawAccMagAndGyr</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;rawAcc,<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;rawMag,<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;rawGyr);</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;            Type <span class="keyword">const</span>&amp;GetDataType()<span class="keyword"> const </span>{<span class="keywordflow">return</span> dataType;}</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;            <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span>* dst) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;            Vector3D rawAcc;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;            Vector3D rawGyr;</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;            Vector3D rawMag;</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;            <span class="keywordtype">void</span> Queue(<span class="keywordtype">char</span>** dst,<span class="keyword">const</span> <span class="keywordtype">void</span> *src,<span class="keywordtype">size_t</span> size) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;            Type dataType;</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    };</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;<span class="preprocessor">#endif // IMUDATA_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8a7576067451da5dfc71410871b9feca6c"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a7576067451da5dfc71410871b9feca6c">framework::core::ImuData::RawMz</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:52</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a17036abb2356046d5e12f427ac0549d3"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a17036abb2356046d5e12f427ac0549d3">framework::core::ImuData::SetRawAccMagAndGyr</a></div><div class="ttdeci">void SetRawAccMagAndGyr(const Vector3D &amp;rawAcc, const Vector3D &amp;rawMag, const Vector3D &amp;rawGyr)</div><div class="ttdoc">Set raw accelerations, magnetometers and angular speeds. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a8559a0720a5ea626721af362d033d529"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a8559a0720a5ea626721af362d033d529">framework::core::ImuData::GetRawMag</a></div><div class="ttdeci">Vector3D GetRawMag(void) const </div><div class="ttdoc">Get raw magnetometers. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8a4f359d1e7d7b978325f85166e529286c"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a4f359d1e7d7b978325f85166e529286c">framework::core::ImuData::RawAz</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a4f90b31ee61c5927c1050d952e9ff1c3"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a4f90b31ee61c5927c1050d952e9ff1c3">framework::core::ImuData::GetRawAccMagAndGyr</a></div><div class="ttdeci">void GetRawAccMagAndGyr(Vector3D &amp;rawAcc, Vector3D &amp;rawMag, Vector3D &amp;rawGyr) const </div><div class="ttdoc">Get raw accelerations, magnetometers and angular speeds. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8a596ddf0a2379801d40a5251e341c92d3"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a596ddf0a2379801d40a5251e341c92d3">framework::core::ImuData::RawGy</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:50</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_data_element_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_data_element.html">framework::core::IODataElement</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div><div class="ttdef"><b>Definition:</b> IODataElement.h:22</div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8a36eccd43da83d79c8b6c3563275ec580"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a36eccd43da83d79c8b6c3563275ec580">framework::core::ImuData::RawGzDeg</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:51</div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8adf083b1df8e937957c759ad93ad3028e"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8adf083b1df8e937957c759ad93ad3028e">framework::core::ImuData::RawAy</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8ab0dfaab3b5d46ed0b4ead0735a1fa602"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8ab0dfaab3b5d46ed0b4ead0735a1fa602">framework::core::ImuData::RawGz</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:50</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a019b3cf7520f38fe0c9c53528f27c369"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a019b3cf7520f38fe0c9c53528f27c369">framework::core::ImuData::GetRawGyr</a></div><div class="ttdeci">Vector3D GetRawGyr(void) const </div><div class="ttdoc">Get raw angular speed. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a5f98f9e7793b6b7fe45e87855f641756"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a5f98f9e7793b6b7fe45e87855f641756">framework::core::ImuData::Element</a></div><div class="ttdeci">IODataElement * Element(PlotableData_t data_type) const </div><div class="ttdoc">Element. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_1_1_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data_1_1_type.html">framework::core::ImuData::Type</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:27</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a214b2b4bf48e50cb94bb971cc35e0802"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a214b2b4bf48e50cb94bb971cc35e0802">framework::core::ImuData::SetRawGyr</a></div><div class="ttdeci">void SetRawGyr(const Vector3D &amp;rawGyr)</div><div class="ttdoc">Set raw angular speed. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></div><div class="ttdoc">Class defining a 3D vector. </div><div class="ttdef"><b>Definition:</b> Vector3D.h:23</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a302ec9d26ea8bfc454a4f81e345d3761"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a302ec9d26ea8bfc454a4f81e345d3761">framework::core::ImuData::SetRawMag</a></div><div class="ttdeci">void SetRawMag(const Vector3D &amp;rawMag)</div><div class="ttdoc">Set raw magnetometers. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_data_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_data_type.html">framework::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:21</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8">framework::core::ImuData::PlotableData_t</a></div><div class="ttdeci">PlotableData_t</div><div class="ttdoc">Datas wich can be plotted in a DataPlot1D. </div><div class="ttdef"><b>Definition:</b> ImuData.h:48</div></div>
<div class="ttc" id="_i_o_data_element_8h_html"><div class="ttname"><a href="_i_o_data_element_8h.html">IODataElement.h</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html"><div class="ttname"><a href="classframework_1_1core_1_1_object.html">framework::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:75</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8a16ce12331cc350477a10b1d7866fecc8"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a16ce12331cc350477a10b1d7866fecc8">framework::core::ImuData::RawGyDeg</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:51</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8a61646a6c036574ae54037126ee5b0805"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a61646a6c036574ae54037126ee5b0805">framework::core::ImuData::RawMy</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:52</div></div>
<div class="ttc" id="classframework_1_1core_1_1_scalar_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_scalar_type.html">framework::core::ScalarType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:35</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_ad1f5ef8390730dbe868f25fba9248cd9"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#ad1f5ef8390730dbe868f25fba9248cd9">framework::core::ImuData::ImuData</a></div><div class="ttdeci">ImuData(const Object *parent, std::string name=&quot;&quot;, int n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8af223557b356e0d40a37592f143f80a37"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8af223557b356e0d40a37592f143f80a37">framework::core::ImuData::RawMx</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:52</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8a16c71ada258e96a3f0880fc2e431b9c5"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a16c71ada258e96a3f0880fc2e431b9c5">framework::core::ImuData::RawGx</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:50</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_ab9741cbe12d85950663376dc226ec26c"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#ab9741cbe12d85950663376dc226ec26c">framework::core::ImuData::SetRawAcc</a></div><div class="ttdeci">void SetRawAcc(const Vector3D &amp;rawAcc)</div><div class="ttdoc">Set raw accelerations. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8a5557edd930fd35142c43bcdc0321f572"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a5557edd930fd35142c43bcdc0321f572">framework::core::ImuData::RawGxDeg</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:51</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_ae8ec0cd1606d05b577c36f2203bf9421"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#ae8ec0cd1606d05b577c36f2203bf9421">framework::core::ImuData::~ImuData</a></div><div class="ttdeci">~ImuData()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html">framework::core::ImuData</a></div><div class="ttdoc">Class defining IMU datas. </div><div class="ttdef"><b>Definition:</b> ImuData.h:25</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a68dd279898f5c11b57c6169b0168e2c8a4d5057af07548b6b34e160ef48004cf0"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8a4d5057af07548b6b34e160ef48004cf0">framework::core::ImuData::RawAx</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1_imu_data_html_a11e0b74e5f56a562577a7e3a51487bc2"><div class="ttname"><a href="classframework_1_1core_1_1_imu_data.html#a11e0b74e5f56a562577a7e3a51487bc2">framework::core::ImuData::GetRawAcc</a></div><div class="ttdeci">Vector3D GetRawAcc(void) const </div><div class="ttdoc">Get raw accelerations. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_imu_data_8h.html">ImuData.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
